### Method

# Camel MessageInfo set_preview

since: 3.42

#### Declaration [src]

    gboolean
    camel_message_info_set_preview (
      CamelMessageInfo* mi,
      const gchar* preview
    )

#### Description [src]

Set `preview` as the body preview of the associated message. Use `NULL` or an empty string to unset the value.

If the `mi` changed, the ‘dirty’ flag is set automatically, unless the `mi` is aborting notifications. There is not emitted folder’s “changed” signal for this `mi`.

Available since: 3.42

Sets property | `Camel.MessageInfo:preview`

#### Parameters

`preview`

  Type: `const gchar*`

  Message body preview, or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

Whether the value changed.